# Class PRS_Address
extends PRS_ExchangeElement

Provides address information for PRS_ContactItem.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--PRS_ExchangeElement
|
+--PRS_Address

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | Provides address information for PRS_ContactItem.
UMLPackagePath | string | PRS::Support
Version | string | 2.6.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
Address1 | string |
Description | string | First line of address information.
Address2 | string |
Description | string | Second line of address information.
Address3 | string |
Description | string | Third line of address information.
Address4 | string |
Description | string | Fourth line of address information.
AddressType | uint8 |
Description | string | The type of address.
ValueMap | string | 0, 1, 2, 3, 254, 255
Values | string | Primary, Shipping, Billing, Service, Other, Unknown
City | string |
Description | string | The city.
Country | string |
Description | string | The country code, based on ISO/IEC 3166.
PostalCode | string |
Description | string | The country's postal code for the address.
Region | string |
Description | string | The specific region, such as state or province.
TimeZone | string |
Description | string | The time zone of the address.

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
Description | string | CIM_ManagedElement
DirtyFlag | uint8 | PRS_ExchangeElement
ElementName | string | CIM_ManagedElement
InstanceID | string | CIM_ManagedElement
PRSUniqueName | string | PRS_ExchangeElement

## Class Methods